# @rx-angular/cdk/coalescing

[![npm](https://img.shields.io/npm/v/%40rx-angular%2Fcdk.svg)](https://www.npmjs.com/package/%40rx-angular%2Fcdk)
![rx-angular CI](https://github.com/rx-angular/rx-angular/workflows/rx-angular%20CI/badge.svg?branch=main)
[![Coverage Status](https://raw.githubusercontent.com/rx-angular/rx-angular/github-pages/docs/test-coverage/cdk/jest-coverage-badge.svg)](https://rx-angular.github.io/rx-angular/test-coverage/cdk/lcov-report/index.html)

## A small typed and documented convenience helper to apply performance inprovements over coalescing techniques.

`@rx-angular/cdk/coalescing` is designed to help developers improve performance in high frequeltly changing values.
Besides a well documented and typed API it also provides a set of marble diagrams for better visual understanding as well as smart defaults.

## Key features

<!-- - ✅ Assertion if values get coalesced -->

- ✅ Coalescing techniques as RxJS operators
- ✅ Configurable durationSelector for all kind of scheduling methods
- ✅ Scope coalescing to a specific component or object
- ✅ Typed methods
- ✅ IDE inline documentation

## Demos:

- [⚡ GitHub](https://github.com/BioPhoton/rx-angular-cdk-coalescing)

## Install

```bash
npm install --save @rx-angular/cdk
# or
yarn add @rx-angular/cdk
```

## Documentation

- [Coalescing](https://github.com/rx-angular/rx-angular/tree/main/libs/cdk/coalescing/docs/Readme.md)
