# @rx-angular/cdk/coercing

[![npm](https://img.shields.io/npm/v/%40rx-angular%2Fcdk.svg)](https://www.npmjs.com/package/%40rx-angular%2Fcdk)
![rx-angular CI](https://github.com/rx-angular/rx-angular/workflows/rx-angular%20CI/badge.svg?branch=main)
[![Coverage Status](https://raw.githubusercontent.com/rx-angular/rx-angular/github-pages/docs/test-coverage/cdk/jest-coverage-badge.svg)](https://rx-angular.github.io/rx-angular/test-coverage/cdk/lcov-report/index.html)

## Convenience helper to easily coerce reactive values

`@rx-angular/cdk/coercing` is a small set of helpers designed to improve the DX when managing transformations between imperative and reactive values.
It provides a strictly typed API to conveniently coerce imperative setters into reactive streams.
The documentation also includes a set of marble diagrams for better visual understanding.

## Key features

- ✅ Coercing helper for Observables
- ✅ RxJS operators
- ✅ RxJS factories
- ✅ Fully tested
- ✅ Well Documented

## Demos:

- [⚡ GitHub](https://github.com/BioPhoton/rx-angular-cdk-coercion)

## Install

```bash
npm install --save @rx-angular/cdk/coercing
# or
yarn add @rx-angular/cdk/coercing
```

## Documentation

- [Coercion](https://github.com/rx-angular/rx-angular/tree/main/libs/cdk/coercing/docs/Readme.md)
