# @rx-angular/cdk/render-strategies

[![npm](https://img.shields.io/npm/v/%40rx-angular%2Fcdk.svg)](https://www.npmjs.com/package/%40rx-angular%2Fcdk)
![rx-angular CI](https://github.com/rx-angular/rx-angular/workflows/rx-angular%20CI/badge.svg?branch=main)
[![Coverage Status](https://raw.githubusercontent.com/rx-angular/rx-angular/github-pages/docs/test-coverage/cdk/jest-coverage-badge.svg)](https://rx-angular.github.io/rx-angular/test-coverage/cdk/lcov-report/index.html)

## A small typed convenience helper to handle contextual state.

Convenience helper to easily apply different change detection mechanisms to Angular

@rx-angular/cdk/render-strategies is a small set of helpers designed to improve the DX when managing change detection and detached or zone-less templates. 
The documentation also includes detaillsd explainations of techniques and provides diagrams for better visual understanding.

## Key features
- ✅ A easy mental model for highly sophisticated techniques
- ✅ Abstracted ChangeDetection 
- ✅ Schedule any type of work
- ✅ Rich set of optimized change detection strategies
 -✅ Fully tested
- ✅ Well Documented

## Demos:

- [⚡ GitHub](https://github.com/BioPhoton/rx-angular-cdk-render-strategies)

## Install

```bash
npm install --save @rx-angular/cdk
# or
yarn add @rx-angular/cdk
```

## Documentation

- [Render Strategies](https://github.com/rx-angular/rx-angular/tree/main/libs/cdk/render-strategies/docs/README.md)
  - [Strategies](https://github.com/rx-angular/rx-angular/tree/main/libs/cdk/render-strategies/docs/strategies.md)
    - [Basic Strategies](https://github.com/rx-angular/rx-angular/tree/main/libs/cdk/render-strategies/docs/basic-strategies.md)
    - [Concurrent-strategies](https://github.com/rx-angular/rx-angular/tree/main/libs/cdk/render-strategies/docs/concurrent-strategies.md)

